package com.example.youtube_videos.activity;

import com.example.youtube_videos.R;
import com.example.youtube_videos.R.layout;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListAdapter;
import android.widget.ListView;

public class UserListActivity extends ListActivity {
	
	public static final String EXTRA_USER = "extra-user";

	private String[] items = {"androiddevelopers", "UCBerkeley", "StanfordUniversity"};
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		// create simple adapter
		ListAdapter adapter = new ArrayAdapter<String>(this, R.layout.item_user_list, items);
		setListAdapter(adapter);
	}
	
	
	@Override
	protected void onListItemClick(ListView l, View v, int position, long id) {
		// return the clicked item
		Intent intent = new Intent();
		intent.putExtra(EXTRA_USER, (String) l.getAdapter().getItem(position));
		setResult(RESULT_OK, intent);
		finish();
	}

	

	
}
