package com.example.youtube_videos.util;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;

public class Settings {
	
	public static final String SHARED_CONFIG = "config";
	public static final String SHARED_CONFIG_SAVE_USER = "cfg_user";

	private Context mContext;
	
	public Settings(Context context) {
		mContext = context;
	}
	
	private SharedPreferences getPreferences() {
		return mContext.getSharedPreferences(SHARED_CONFIG, Activity.MODE_PRIVATE);
	}
	
	public void saveUser(String user) {
		getPreferences().edit().putString(SHARED_CONFIG_SAVE_USER, user).commit();
	}
	
	public String getUser() {
		return getPreferences().getString(SHARED_CONFIG_SAVE_USER, "androiddevelopers");
	}
}
